Add a user reply to one of the caller's support tickets.
POST
/v1/support/{id}/messages
const url = 'https://api.share2.us/v1/support/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/messages';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"body":"example","activity":[{"event_type":"example","occurred_at":"2026-04-15T12:00:00Z","share_public_id":"example","description":"example"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.share2.us/v1/support/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/messages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "body": "example", "activity": [ { "event_type": "example", "occurred_at": "2026-04-15T12:00:00Z", "share_public_id": "example", "description": "example" } ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
body
required
string
activity
Array<object>
object
event_type
required
string
occurred_at
required
string format: date-time
share_public_id
string
description
string
Examplegenerated
{ "body": "example", "activity": [ { "event_type": "example", "occurred_at": "2026-04-15T12:00:00Z", "share_public_id": "example", "description": "example" } ]}Responses
Section titled “Responses”Reply appended.
Media typeapplication/json
object
message
required
object
id
required
string format: uuid
ticket_id
string format: uuid
author_type
required
string
author_email
required
string format: email
body
required
string
created_at
required
string format: date-time
activity
Array<object>
object
event_type
required
string
occurred_at
required
string format: date-time
share_public_id
string
description
string
attachments
Array<object>
object
id
required
string format: uuid
ticket_id
string format: uuid
message_id
string format: uuid
uploader_type
required
string
file_name
required
string
content_type
required
string
size_bytes
required
integer
created_at
required
string format: date-time
Example
{ "message": { "author_type": "user", "attachments": [ { "uploader_type": "user", "content_type": "text/plain" } ] }}default
Section titled “default”Standard error envelope.
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Example
{ "error": { "code": "quota_exceeded" }}